%%%---------------------------------------
%%% module      : data_sakura_gift
%%% description : 源樱之礼配置
%%%
%%%---------------------------------------
-module(data_sakura_gift).
-compile(export_all).
-include("sakura_gift.hrl").



get_kv(101,pray_one) ->
    [{0,102353,1}];

get_kv(101,pray_ten) ->
    [{0,102353,9}];

get_kv(101,pray_score) ->
    10;

get_kv(101,pray_luck) ->
    1;

get_kv(101,luck_total) ->
    100;

get_kv(101,free_time) ->
    1;

get_kv(102,pray_one) ->
    [{0,102353,1}];

get_kv(102,pray_ten) ->
    [{0,102353,10}];

get_kv(102,pray_score) ->
    10;

get_kv(102,pray_luck) ->
    1;

get_kv(102,luck_total) ->
    50;

get_kv(102,free_time) ->
    1;

get_kv(_Suit,_Key) ->
    [].

get_reward_config(1) ->
    #base_sakura_gift_reward{id = 1,act_id = 1,awards = [{100,102408,1}],weight = 10,luck_start = 1,luck_end = 99,luck_weight = 1,is_tv = 1,tag = 2};

get_reward_config(2) ->
    #base_sakura_gift_reward{id = 2,act_id = 1,awards = [{100,102406,5}],weight = 50,luck_start = 80,luck_end = 89,luck_weight = 1,is_tv = 1,tag = 2};

get_reward_config(3) ->
    #base_sakura_gift_reward{id = 3,act_id = 1,awards = [{100,102405,5}],weight = 150,luck_start = 70,luck_end = 79,luck_weight = 10000000,is_tv = 1,tag = 1};

get_reward_config(4) ->
    #base_sakura_gift_reward{id = 4,act_id = 1,awards = [{100,102404,5}],weight = 200,luck_start = 60,luck_end = 69,luck_weight = 1,is_tv = 1,tag = 1};

get_reward_config(5) ->
    #base_sakura_gift_reward{id = 5,act_id = 1,awards = [{100,102403,5}],weight = 300,luck_start = 50,luck_end = 59,luck_weight = 1,is_tv = 1,tag = 1};

get_reward_config(6) ->
    #base_sakura_gift_reward{id = 6,act_id = 1,awards = [{100,109016,2}],weight = 300,luck_start = 20,luck_end = 49,luck_weight = 1,is_tv = 1,tag = 1};

get_reward_config(7) ->
    #base_sakura_gift_reward{id = 7,act_id = 1,awards = [{100,109015,3}],weight = 400,luck_start = 20,luck_end = 49,luck_weight = 1,is_tv = 1,tag = 1};

get_reward_config(8) ->
    #base_sakura_gift_reward{id = 8,act_id = 1,awards = [{100,109014,3}],weight = 400,luck_start = 10,luck_end = 19,luck_weight = 40,is_tv = 0,tag = 1};

get_reward_config(9) ->
    #base_sakura_gift_reward{id = 9,act_id = 1,awards = [{100,109013,5}],weight = 500,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 1};

get_reward_config(10) ->
    #base_sakura_gift_reward{id = 10,act_id = 1,awards = [{100,109012,5}],weight = 500,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(11) ->
    #base_sakura_gift_reward{id = 11,act_id = 1,awards = [{100,102407,1}],weight = 10,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(12) ->
    #base_sakura_gift_reward{id = 12,act_id = 1,awards = [{100,102406,1}],weight = 50,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(13) ->
    #base_sakura_gift_reward{id = 13,act_id = 1,awards = [{100,102405,1}],weight = 200,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(14) ->
    #base_sakura_gift_reward{id = 14,act_id = 1,awards = [{100,102404,1}],weight = 40000,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(15) ->
    #base_sakura_gift_reward{id = 15,act_id = 1,awards = [{100,102403,2}],weight = 300,luck_start = 0,luck_end = 1,luck_weight = 10000,is_tv = 0,tag = 0};

get_reward_config(16) ->
    #base_sakura_gift_reward{id = 16,act_id = 1,awards = [{100,102614,2}],weight = 300,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(17) ->
    #base_sakura_gift_reward{id = 17,act_id = 1,awards = [{100,102702,3}],weight = 400,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(18) ->
    #base_sakura_gift_reward{id = 18,act_id = 1,awards = [{100,102704,3}],weight = 400,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(19) ->
    #base_sakura_gift_reward{id = 19,act_id = 1,awards = [{100,102616,5}],weight = 500,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(20) ->
    #base_sakura_gift_reward{id = 20,act_id = 1,awards = [{100,102410,5}],weight = 500,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(51) ->
    #base_sakura_gift_reward{id = 51,act_id = 2,awards = [{100,450084,1}],weight = 0,luck_start = 35,luck_end = 50,luck_weight = 2,is_tv = 1,tag = 2};

get_reward_config(52) ->
    #base_sakura_gift_reward{id = 52,act_id = 2,awards = [{100,401003,30}],weight = 0,luck_start = 35,luck_end = 50,luck_weight = 5,is_tv = 1,tag = 2};

get_reward_config(53) ->
    #base_sakura_gift_reward{id = 53,act_id = 2,awards = [{100,410061,1}],weight = 0,luck_start = 35,luck_end = 50,luck_weight = 10,is_tv = 1,tag = 1};

get_reward_config(54) ->
    #base_sakura_gift_reward{id = 54,act_id = 2,awards = [{100,416141,1}],weight = 0,luck_start = 35,luck_end = 50,luck_weight = 20,is_tv = 1,tag = 1};

get_reward_config(55) ->
    #base_sakura_gift_reward{id = 55,act_id = 2,awards = [{100,450061,1}],weight = 0,luck_start = 20,luck_end = 50,luck_weight = 30,is_tv = 1,tag = 1};

get_reward_config(56) ->
    #base_sakura_gift_reward{id = 56,act_id = 2,awards = [{100,450086,1}],weight = 0,luck_start = 20,luck_end = 50,luck_weight = 60,is_tv = 1,tag = 1};

get_reward_config(57) ->
    #base_sakura_gift_reward{id = 57,act_id = 2,awards = [{100,450085,1}],weight = 0,luck_start = 20,luck_end = 50,luck_weight = 60,is_tv = 1,tag = 1};

get_reward_config(58) ->
    #base_sakura_gift_reward{id = 58,act_id = 2,awards = [{100,412061,1}],weight = 0,luck_start = 20,luck_end = 50,luck_weight = 50,is_tv = 1,tag = 1};

get_reward_config(59) ->
    #base_sakura_gift_reward{id = 59,act_id = 2,awards = [{100,450020,1}],weight = 3500,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(60) ->
    #base_sakura_gift_reward{id = 60,act_id = 2,awards = [{100,102305,1}],weight = 17000,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(61) ->
    #base_sakura_gift_reward{id = 61,act_id = 2,awards = [{100,450051,2}],weight = 45000,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(62) ->
    #base_sakura_gift_reward{id = 62,act_id = 2,awards = [{100,450023,3}],weight = 46000,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(63) ->
    #base_sakura_gift_reward{id = 63,act_id = 2,awards = [{100,450022,1}],weight = 3500,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(64) ->
    #base_sakura_gift_reward{id = 64,act_id = 2,awards = [{100,450024,1}],weight = 10000,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(65) ->
    #base_sakura_gift_reward{id = 65,act_id = 2,awards = [{100,102607,3}],weight = 8000,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(66) ->
    #base_sakura_gift_reward{id = 66,act_id = 2,awards = [{100,109033,1}],weight = 12000,luck_start = 0,luck_end = 0,luck_weight = 0,is_tv = 0,tag = 0};

get_reward_config(_Id) ->
    [].


get_all_reward(1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20];


get_all_reward(2) ->
    [51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66];

get_all_reward(_Actid) ->
    [].

get_reward_ids_by_tag(1,2) ->
    [1,2];

get_reward_ids_by_tag(1,1) ->
    [3,4,5,6,7,8,9];

get_reward_ids_by_tag(1,0) ->
    [10,11,12,13,14,15,16,17,18,19,20];

get_reward_ids_by_tag(2,2) ->
    [51,52];

get_reward_ids_by_tag(2,1) ->
    [53,54,55,56,57,58];

get_reward_ids_by_tag(2,0) ->
    [59,60,61,62,63,64,65,66];

get_reward_ids_by_tag(_Actid,_Tag) ->
    [].

get_store_gift(1) ->
    #base_sakura_gift_point_reward{id = 1,act_id = 1,goods = [{100,102408,1}],limit = 1,points = 888};

get_store_gift(2) ->
    #base_sakura_gift_point_reward{id = 2,act_id = 1,goods = [{100,102407,1}],limit = 1,points = 888};

get_store_gift(3) ->
    #base_sakura_gift_point_reward{id = 3,act_id = 1,goods = [{100,102611,1}],limit = 1,points = 400};

get_store_gift(4) ->
    #base_sakura_gift_point_reward{id = 4,act_id = 1,goods = [{100,102404,1}],limit = 2,points = 100};

get_store_gift(5) ->
    #base_sakura_gift_point_reward{id = 5,act_id = 1,goods = [{100,102403,1}],limit = 2,points = 50};

get_store_gift(6) ->
    #base_sakura_gift_point_reward{id = 6,act_id = 1,goods = [{100,102402,1}],limit = 5,points = 50};

get_store_gift(7) ->
    #base_sakura_gift_point_reward{id = 7,act_id = 1,goods = [{100,102401,1}],limit = 5,points = 20};

get_store_gift(8) ->
    #base_sakura_gift_point_reward{id = 8,act_id = 1,goods = [{100,102408,1}],limit = 1,points = 20};

get_store_gift(9) ->
    #base_sakura_gift_point_reward{id = 9,act_id = 1,goods = [{100,102407,1}],limit = 1,points = 20};

get_store_gift(10) ->
    #base_sakura_gift_point_reward{id = 10,act_id = 1,goods = [{100,102611,1}],limit = 1,points = 20};

get_store_gift(11) ->
    #base_sakura_gift_point_reward{id = 11,act_id = 1,goods = [{100,102404,1}],limit = 2,points = 10};

get_store_gift(12) ->
    #base_sakura_gift_point_reward{id = 12,act_id = 1,goods = [{100,102403,1}],limit = 2,points = 10};

get_store_gift(13) ->
    #base_sakura_gift_point_reward{id = 13,act_id = 1,goods = [{100,102402,1}],limit = 5,points = 5};

get_store_gift(14) ->
    #base_sakura_gift_point_reward{id = 14,act_id = 1,goods = [{100,102401,1}],limit = 5,points = 1};

get_store_gift(20) ->
    #base_sakura_gift_point_reward{id = 20,act_id = 2,goods = [{100,450087,1}],limit = 3,points = 8000};

get_store_gift(21) ->
    #base_sakura_gift_point_reward{id = 21,act_id = 2,goods = [{100,440061,1}],limit = 10,points = 300};

get_store_gift(22) ->
    #base_sakura_gift_point_reward{id = 22,act_id = 2,goods = [{100,450061,1}],limit = 2,points = 4500};

get_store_gift(23) ->
    #base_sakura_gift_point_reward{id = 23,act_id = 2,goods = [{100,450086,1}],limit = 2,points = 2180};

get_store_gift(24) ->
    #base_sakura_gift_point_reward{id = 24,act_id = 2,goods = [{100,450085,1}],limit = 2,points = 1365};

get_store_gift(25) ->
    #base_sakura_gift_point_reward{id = 25,act_id = 2,goods = [{100,450022,1}],limit = 2,points = 1225};

get_store_gift(26) ->
    #base_sakura_gift_point_reward{id = 26,act_id = 2,goods = [{100,450010,1}],limit = 2,points = 1225};

get_store_gift(27) ->
    #base_sakura_gift_point_reward{id = 27,act_id = 2,goods = [{100,102305,1}],limit = 10,points = 275};

get_store_gift(28) ->
    #base_sakura_gift_point_reward{id = 28,act_id = 2,goods = [{100,450051,1}],limit = 50,points = 70};

get_store_gift(29) ->
    #base_sakura_gift_point_reward{id = 29,act_id = 2,goods = [{100,102607,1}],limit = 20,points = 40};

get_store_gift(30) ->
    #base_sakura_gift_point_reward{id = 30,act_id = 2,goods = [{100,450023,1}],limit = 999,points = 40};

get_store_gift(_Id) ->
    [].


get_all_store_gift(1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14];


get_all_store_gift(2) ->
    [20,21,22,23,24,25,26,27,28,29,30];

get_all_store_gift(_Actid) ->
    [].

get_point_rest_reward(101,Weight) when Weight >= 1  andalso  Weight =< 10 ->
		[{100,109011,1}];
get_point_rest_reward(101,Weight) when Weight >= 11  andalso  Weight =< 20 ->
		[{100,109012,1}];
get_point_rest_reward(101,Weight) when Weight >= 21  andalso  Weight =< 30 ->
		[{100,109013,1}];
get_point_rest_reward(101,Weight) when Weight >= 31  andalso  Weight =< 40 ->
		[{100,109014,1}];
get_point_rest_reward(101,Weight) when Weight >= 41  andalso  Weight =< 50 ->
		[{100,109015,1}];
get_point_rest_reward(101,Weight) when Weight >= 51  andalso  Weight =< 60 ->
		[{100,109016,1}];
get_point_rest_reward(101,Weight) when Weight >= 61  andalso  Weight =< 70 ->
		[{100,109017,1}];
get_point_rest_reward(101,Weight) when Weight >= 71  andalso  Weight =< 80 ->
		[{100,109018,1}];
get_point_rest_reward(101,Weight) when Weight >= 81  andalso  Weight =< 90 ->
		[{100,109019,1}];
get_point_rest_reward(101,Weight) when Weight >= 91  andalso  Weight =< 99999 ->
		[{100,109019,5}];
get_point_rest_reward(_Suit,_Weight) ->
    [].

